﻿Public Class Form1
    ' Enter values to parse.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtInt.Text = "2147483647"
        txtLong.Text = "9223372036854775807"
        txtDecimal.Text = "$-12.34"
        txtDecimal2.Text = "$-12.34"
        txtDateTime.Text = "1 April 2010 23:45:12.34567"
    End Sub

    Private Sub txtInt_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtInt.TextChanged
        Try
            Dim value As Integer = Integer.Parse(txtInt.Text)
            lblInt.Text = value.ToString()
        Catch
            lblInt.Text = "Error"
        End Try
    End Sub

    Private Sub txtLong_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLong.TextChanged
        Try
            Dim value As Long = Long.Parse(txtLong.Text)
            lblLong.Text = value.ToString()
        Catch
            lblLong.Text = "Error"
        End Try
    End Sub

    Private Sub txtDecimal_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDecimal.TextChanged
        Try
            Dim value As Decimal = Decimal.Parse(txtDecimal.Text)
            lblDecimal.Text = value.ToString()
        Catch
            lblDecimal.Text = "Error"
        End Try
    End Sub

    Private Sub txtDecimal2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDecimal2.TextChanged
        Try
            Dim value As Decimal = Decimal.Parse( _
                txtDecimal2.Text, _
                System.Globalization.NumberStyles.Any)
            lblDecimal2.Text = value.ToString()
        Catch
            lblDecimal2.Text = "Error"
        End Try
    End Sub

    Private Sub txtDateTime_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDateTime.TextChanged
        Try
            Dim value As DateTime = DateTime.Parse(txtDateTime.Text)
            lblDateTime.Text = value.ToString()
        Catch
            lblDateTime.Text = "Error"
        End Try
    End Sub
End Class
